Bug 18053 - package-plugin not compile on git version
Summary: package-plugin not compile on git version
Status: RESOLVED FIXED
Alias: None
Product: PackageKit
Classification: Unclassified
Component: General (show other bugs)
Version: unspecified
Hardware: x86 (IA32) Linux (All)
: low normal
Assignee: Richard Hughes
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-10-14 01:15 UTC by zodman
Modified: 2009-04-16 06:42 UTC (History)
1 user (show)

See Also:
i915 platform:
i915 features:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description zodman 2008-10-14 01:15:56 UTC
The contrib/packagekit-plugin/sdk/pluginbase.h not have destructor.

And gcc error showed.

commit 5d5f729eb8c34af9b245638f7d57af1cd5f2381a
Author: zodman <zodman@cosmogirl.(none)>
Date:   Tue Oct 14 03:02:24 2008 -0500

    update the lib for compile on foresight

diff --git a/contrib/packagekit-plugin/sdk/pluginbase.h b/contrib/packagekit-plugin/sdk/pluginbase.h
index b7e3327..70a5ef0 100644
--- a/contrib/packagekit-plugin/sdk/pluginbase.h
+++ b/contrib/packagekit-plugin/sdk/pluginbase.h
@@ -76,6 +76,9 @@ public:
                             void* notifyData)                       { return; }
   virtual NPError GetValue(NPPVariable variable, void *value)       { return NPERR_NO_ERROR; }
   virtual NPError SetValue(NPNVariable variable, void *value)       { return NPERR_NO_ERROR; }
+virtual  ~nsPluginInstanceBase() {
+  }
+
 };
Comment 1 Owen Taylor 2008-10-15 08:47:01 UTC
pluginbase.h is a file from the firefox plugin SDK. Changing it here independently from upstream doesn't make sense to me.

What was the exact text of the error message?

Do you have any idea why this would be different on Foresight than other system using GCC?
Comment 2 zodman 2008-10-15 11:27:50 UTC
$ pwd
/home/zodman/lab/dev/packagekit/PackageKit/contrib/packagekit-plugin
zodman@cosmogirl:~/lab/dev/packagekit/PackageKit/contrib/packagekit-plugin
$ make
/bin/sh ../../libtool --tag=CXX   --mode=compile g++ -DHAVE_CONFIG_H -I. -I../..  -I/usr/include/xulrunner-sdk-1.9/stable -I/usr/include/xulrunner-sdk-1.9/java -I/usr/include/xulrunner-sdk-1.9/plugin -I/usr/include/nspr4 -I/usr/include/gio-unix-2.0/ -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/cairo -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/libpng12 -I/usr/include/pango-1.0 -I/usr/include/gtk-2.0 -I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include   -DPACKAGE_LOCALE_DIR=\"/usr/local/share/locale\" -I ../../libpackagekit -I ./sdk -Wcast-align -Wno-uninitialized -Wall -Wreturn-type -Werror -DG_DISABLE_SINGLE_INCLUDES -DGTK_DISABLE_SINGLE_INCLUDES -DG_DISABLE_DEPRECATED -DGTK_DISABLE_DEPRECATED -DGDK_DISABLE_DEPRECATED -DGDK_MULTIHEAD_SAFE -DGTK_MULTIHEAD_SAFE  -g -O2 -MT packagekit_plugin_la-np_entry.lo -MD -MP -MF .deps/packagekit_plugin_la-np_entry.Tpo -c -o packagekit_plugin_la-np_entry.lo `test -f 'sdk/np_entry.cpp' || echo './'`sdk/np_entry.cpp
 g++ -DHAVE_CONFIG_H -I. -I../.. -I/usr/include/xulrunner-sdk-1.9/stable -I/usr/include/xulrunner-sdk-1.9/java -I/usr/include/xulrunner-sdk-1.9/plugin -I/usr/include/nspr4 -I/usr/include/gio-unix-2.0/ -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/cairo -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/libpng12 -I/usr/include/pango-1.0 -I/usr/include/gtk-2.0 -I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include -DPACKAGE_LOCALE_DIR=\"/usr/local/share/locale\" -I ../../libpackagekit -I ./sdk -Wcast-align -Wno-uninitialized -Wall -Wreturn-type -Werror -DG_DISABLE_SINGLE_INCLUDES -DGTK_DISABLE_SINGLE_INCLUDES -DG_DISABLE_DEPRECATED -DGTK_DISABLE_DEPRECATED -DGDK_DISABLE_DEPRECATED -DGDK_MULTIHEAD_SAFE -DGTK_MULTIHEAD_SAFE -g -O2 -MT packagekit_plugin_la-np_entry.lo -MD -MP -MF .deps/packagekit_plugin_la-np_entry.Tpo -c sdk/np_entry.cpp  -fPIC -DPIC -o .libs/packagekit_plugin_la-np_entry.o
cc1plus: warnings being treated as errors
sdk/pluginbase.h:55: warning: 'class nsPluginInstanceBase' has virtual functions but non-virtual destructor
make: *** [packagekit_plugin_la-np_entry.lo] Error 1
Comment 3 Richard Hughes 2009-04-16 04:06:54 UTC
Better with master now?
Comment 4 zodman 2009-04-16 06:42:53 UTC
Yes its fixed on master!


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.